Source: libstring-binary-interpolation-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libtest-simple-perl <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libstring-binary-interpolation-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libstring-binary-interpolation-perl.git
Homepage: https://metacpan.org/release/String-Binary-Interpolation
Rules-Requires-Root: no

Package: libstring-binary-interpolation-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Description: module to make it easier to interpolate binary bytes into a string
 String::Binary::Interpolation interpolates some random byte into a string:
 .
  use String::Binary::Interpolation;
  my $binary = "ABC${}{b01000100}E";
 .
 The module creates a bunch of variables named from $b00000000 to $b11111111
 and their values are the corresponding characters.
